//---------------------------------------------------------------------------

#ifndef CallbackQueueH
#define CallbackQueueH
//---------------------------------------------------------------------------

#include "singleton.h"
#include "Callback.h"
#include <System.hpp>

class Callback;

class CallbackQueue: public CSingleton<CallbackQueue>
{
private:
	CallbackQueue();
	friend CSingleton<CallbackQueue>;
public:
	int GetCallback(Callback& cb);

	void ChangeCallState(Callback::ua_state_e state, AnsiString caller);
	void ChangeRegState(Callback::reg_state_e state, int acc_id);
	void ChangeAppState(Callback::app_state_e state);
	//void Hangup(int callId);
};

#define UA_CB CallbackQueue::Instance()

#endif
